$title	GAMS Command Script to Build GTAP 9

$set fs %system.dirsep% 
$set code ..%fs%code%fs%

$set nd 5
$set yr 11

$call gams %code%flex2gdx --yr=%yr% o=flex2gdx_%yr%.lst

$log	Finished with flex2gdx.
$call pause

$label filter
$call gams %code%filter --yr=%yr% --nd=%nd%  o=filter%yr%_%nd%.lst

$log	Finished with filter.
$call pause

$label gtapingams
$set ds gtapingams
$call gams %code%gtapaggr --yr=%yr% --source=gsd_%nd%  --target=%ds% o=%ds%_%yr%.lst
$call gams %code%cdecalib --yr=%yr% --ds=%ds%  o=cde_%ds%_%yr%.lst

$log	Finished with gtapingams.
$call pause

$label g20_macro
$set ds g20_macro
$call gams %code%gtapaggr --yr=%yr% --source=gtapingams  --target=%ds%  o=%ds%_%yr%.lst
$call gams %code%cdecalib --yr=%yr% --ds=%ds%  o=cde_%ds%_%yr%.lst

$log	Finished with g20_macro.
$call pause

$label g20_iea
$set ds g20_iea
$call gams %code%gtapaggr --yr=%yr% --source=gtapingams  --target=%ds%  o=%ds%_%yr%.lst
$call gams %code%cdecalib --yr=%yr% --ds=%ds%  o=cde_%ds%_%yr%.lst

$log	Finished with g20_iea
$call pause

$label g20
$set ds g20
$call gams %code%gtapaggr --yr=%yr% --source=gtapingams  --target=%ds%  o=%ds%_%yr%.lst
$call gams %code%cdecalib --yr=%yr% --ds=%ds%  o=cde_%ds%_%yr%.lst

$log	Finished with g20
$call pause
